SULOGIN(8)

NAMN
sulogin - inloggning för en användare

SYNOPSIS

sulogin [flaggor] [tty]

BESKRIVNING

sulogin anropas av init när systemet går in i enanvändarläge.

Användaren uppmanas att göra detta:

Ge root-lösenordet för systemunderhåll (eller skriv Control-D för normal start):

Om root-kontot är låst och --force har angetts krävs inget lösenord.

sulogin ansluts till den aktuella terminalen eller till den valfria tty-enheten som kan anges på kommandoraden (vanligtvis /dev/console).

När användaren lämnar skalet för enanvändare eller trycker på control-D vid prompten fortsätter systemet att starta.

FLAGGOR

-e, --force
    Om standardmetoden att få root-lösenordet från systemet via getpwnam(3) misslyckas, undersöks /etc/passwd och /etc/shadow för att få lösenordet. Om dessa filer är skadade eller obefintliga, eller om rotkontot är låst med '!' eller '*' i början av lösenordet, kommer sulogin att starta ett rotskal utan att fråga efter ett lösenord.

    Använd endast flaggan -e om du är säker på att konsolen är fysiskt skyddad mot obehörig åtkomst.

-p, --login-shell
    Om du anger denna flagga kommer sulogin att starta skalprocessen som ett inloggningsskal.

-t, --timeout seconds
    Ange den maximala tid som ska vänta på användarens inmatning. Som standard kommer sulogin att vänta för evigt.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

MILJÖ

sulogin letar efter miljövariabeln SUSHELL eller sushell för att avgöra vilket skal som ska startas. Om miljövariabeln inte är inställd kommer den att försöka köra root’s skal från /etc/passwd. Om det misslyckas återgår det till /bin/sh.

UPPHOVSPERSONER

sulogin skrevs av Miquel van Smoorenburg för sysvinit och portades senare till util-linux av Dave Reisner och Karel Zak.

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot sulogin ingår i paketet util-linux som kan hämtas från